Bug 12858

Summary: [S60] HMNN-6YLEHJ: Browser crashes when selecting No for "Opening a secure
Product: WebKit Reporter: Yinxiu Cai <yinxiu.cai>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: CLOSED FIXED    
Severity: Blocker CC: bradley.morrison, yinxiu.cai
Priority: P1 Keywords: PlatformOnly
Version: 420+   
Hardware: S60 Emulator   
OS: S60 3rd edition   
URL: http://www.op.fi
Attachments:
Description Flags
HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
Sachin.Padma: review-
Fix for bug: HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
Sachin.Padma: review-
HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
none
HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
none
HMNN-6YLEHJ -- Browser crashes when selecting No to confirmation dialog
none
HMNN-6YLEHJ -- Browser crashes when selecting No to confirmation dialog Sachin.Padma: review+

Description Yinxiu Cai 2007-02-22 13:40:21 PST
TSW ID: HMNN-6YLEHJ -- Browser crashes when selecting No for "Opening a secure connection.Content cannot be seen by anyone else."
Comment 1 Yinxiu Cai 2007-02-22 15:24:52 PST
Created attachment 13331 [details]
 HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog

HMNN-6YLEHJ -- Browser crashes when selecting No for "Opening a secure connection.Content cannot be seen by anyone else."
Comment 2 Bradley Morrison 2007-02-22 15:32:55 PST
In terms of style, this is a nice bugg & patch. Thanks Yinxiu!!

Comment 3 Sachin Padma 2007-02-23 07:12:27 PST
Comment on attachment 13331 [details]
 HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog

CancelTransaction needs to be done only once. Either in HandleSpecialEvent or after it returns with KErrCancel.
Comment 4 Yinxiu Cai 2007-02-23 07:51:43 PST
Created attachment 13348 [details]
Fix for bug: HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
Comment 5 Yinxiu Cai 2007-02-26 08:03:51 PST
Created attachment 13380 [details]
HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
Comment 6 Yinxiu Cai 2007-02-26 08:09:02 PST
To reproduce:
1. go to URL http://www.op.fi
2. select No for "Opening a secure connection. Content cannot be seen by anyone else."

Actual result:
Browser crashes

Expected result:
Browser should go back to the previous state.

Another way to re-produce this bug:
1. Load www. yahoo.com  web page and selct the link (with image) MAIL.
2. Select no to the confirmation query. 
  Result: Browser crashes.
Comment 7 Sachin Padma 2007-02-26 11:58:36 PST
Comment on attachment 13348 [details]
Fix for bug: HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog 

httptortsp redirection is not taken care of
Comment 8 Yinxiu Cai 2007-02-26 12:35:43 PST
Created attachment 13384 [details]
HMNN-6YLEHJ -- Browser crashes when selecting No to confirm dialog
Comment 9 Yinxiu Cai 2007-02-27 09:29:42 PST
Created attachment 13401 [details]
HMNN-6YLEHJ -- Browser crashes when selecting No to confirmation dialog

Modified the changeLog
Comment 10 Yinxiu Cai 2007-02-27 09:32:12 PST
Created attachment 13402 [details]
HMNN-6YLEHJ -- Browser crashes when selecting No to confirmation dialog

Patch 13401 modified the changeLog
Comment 11 Sachin Padma 2007-02-27 10:59:03 PST
Comment on attachment 13402 [details]
HMNN-6YLEHJ -- Browser crashes when selecting No to confirmation dialog

r=me
Comment 12 Bradley Morrison 2007-02-28 14:28:38 PST
landed on 3.1 - r19914 
Comment 13 Bradley Morrison 2007-02-28 14:32:09 PST
and merged to s60/trunk (r19915). resolved.
Comment 14 Krishna 2007-03-04 17:24:20 PST
Verified and Closed.
Comment 15 Joel Parks 2011-03-21 11:53:13 PDT
re-purposing InTSW keyword for use by QtWebkit team